Bug 437059 - [sat 4.2] 'I/O operation on closed file' in rhn.transports.File instance
[sat 4.2] 'I/O operation on closed file' in rhn.transports.File instance
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
420
All Linux
high Severity high
: ---
: ---
Assigned To: Jan Pazdziora
Preethi Thomas
:
Depends On:
Blocks: 439866 439867
  Show dependency treegraph
 
Reported: 2008-03-11 19:00 EDT by Xixi
Modified: 2010-10-22 19:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat423
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 14:31:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Jan Pazdziora 2008-04-29 04:32:39 EDT
Moving ON_QA, new packages were pushed to webqa.
Comment 4 Miroslav Suchý 2008-05-06 06:54:22 EDT
Suggested documentation:
An issue has been fixed, where fetching repo data from satellite write in error
log this message:
Exception exceptions.ValueError: 'I/O operation on closed file' in <bound method
File.__del__ of <rhn.transports.File instance at 0xb75b486c>> ignored
Comment 6 Jan Pazdziora 2008-05-28 14:16:46 EDT
This bugzilla is not about release notes, it's about error in the error_log.

Or is existence of release notes a necessary prerequisite for bugzilla being
moved to ON_QA now?

Moving back ON_QA -- please you the test plan to test.
Comment 8 John Ha 2008-06-02 13:15:16 EDT
Thanks for the note, here's my suggested edit:

An issue has been fixed where fetching repository data from a Satellite caused
the following message in the /var/log/httpd/error_log file:

Exception exceptions.ValueError: 'I/O operation on closed file' in <bound method
File.__del__ of <rhn.transports.File instance at 0xb75b486c>> ignored
Comment 9 Steve Salevan 2008-06-25 15:04:13 EDT
Verified on stage 423 rhel3/4 satellites.  Moving to RELEASE_PENDING.
Comment 10 Preethi Thomas 2008-06-30 14:31:04 EDT
4.2.3 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.